    001    /* ========================================================================
    002     * JCommon : a free general purpose class library for the Java(tm) platform
    003     * ========================================================================
    004     *
    005     * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jcommon/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * --------------------
    028     * L1R2ButtonPanel.java
    029     * --------------------
    030     * (C) Copyright 2000-2004, by Object Refinery Limited.
    031     *
    032     * Original Author:  David Gilbert (for Object Refinery Limited);
    033     * Contributor(s):   -;
    034     *
    035     * $Id: L1R2ButtonPanel.java,v 1.4 2007/11/02 17:50:36 taqua Exp $
    036     *
    037     * Changes (from 26-Oct-2001)
    038     * --------------------------
    039     * 26-Oct-2001 : Changed package to com.jrefinery.ui.*;
    040     * 26-Jun-2002 : Removed unnecessary import (DG);
    041     * 14-Oct-2002 : Fixed errors reported by Checkstyle (DG);
    042     *
    043     */
    044
    045    package org.jfree.ui;
    046
    047    import java.awt.BorderLayout;
    048    import java.awt.GridLayout;
    049    import javax.swing.JButton;
    050    import javax.swing.JPanel;
    051
    052    /**
    053     * A 'ready-made' panel that has one button on the left and two buttons on the right - nested
    054     * panels and layout managers take care of resizing.
    055     *
    056     * @author David Gilbert
    057     */
    058    public class L1R2ButtonPanel extends JPanel {
    059
    060        /** The left button. */
    061        private JButton left;
    062
    063        /** The first button on the right of the panel. */
    064        private JButton right1;
    065
    066        /** The second button on the right of the panel. */
    067        private JButton right2;
    068
    069        /**
    070         * Standard constructor - creates a three button panel with the specified button labels.
    071         *
    072         * @param label1  the label for button 1.
    073         * @param label2  the label for button 2.
    074         * @param label3  the label for button 3.
    075         */
    076        public L1R2ButtonPanel(final String label1, final String label2, final String label3) {
    077
    078            setLayout(new BorderLayout());
    079
    080            // create the pieces...
    081            this.left = new JButton(label1);
    082
    083            final JPanel rightButtonPanel = new JPanel(new GridLayout(1, 2));
    084            this.right1 = new JButton(label2);
    085            this.right2 = new JButton(label3);
    086            rightButtonPanel.add(this.right1);
    087            rightButtonPanel.add(this.right2);
    088
    089            // ...and put them together
    090            add(this.left, BorderLayout.WEST);
    091            add(rightButtonPanel, BorderLayout.EAST);
    092
    093        }
    094
    095        /**
    096         * Returns a reference to button 1, allowing the caller to set labels, action-listeners etc.
    097         *
    098         * @return the left button.
    099         */
    100        public JButton getLeftButton() {
    101            return this.left;
    102        }
    103
    104        /**
    105         * Returns a reference to button 2, allowing the caller to set labels, action-listeners etc.
    106         *
    107         * @return the right button 1.
    108         */
    109        public JButton getRightButton1() {
    110            return this.right1;
    111        }
    112
    113        /**
    114         * Returns a reference to button 3, allowing the caller to set labels, action-listeners etc.
    115         *
    116         * @return  the right button 2.
    117         */
    118        public JButton getRightButton2() {
    119            return this.right2;
    120        }
    121
    122    }